---
title: "Query the resolvers on this Site for available resources."
slug: "query-the-resolvers-on-this-site-for-available-resources-1"
updated: 2026-03-02T22:30:52Z
published: 2026-03-02T22:35:48Z
canonical: "support.appgate.com/query-the-resolvers-on-this-site-for-available-resources-1"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://support.appgate.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Query the resolvers on this Site for available resources.
Get/sites/{id}/resources
Query the resolvers on this Site for available resources. Controller will make a query to a random Gateway which will query the resolver providers in turn for the given parameters.
SecurityHTTPType bearer
Path parametersidstring (uuid) Required
ID of the object.
Example12699e27-b584-464a-81ee-5b4784b6d425
Query parametersquerystring
Query string to filter the result list. It's used for various fields depending on the object type. Send multiple query parameters to make the queries more specific.
rangestring
'Range string to limit the result list. Format: -. 3-10 means the items between the (including) 3rd and the 10th will be returned. Defaults to all objects.'
Example0-10
resolverstringRequired
Resolver type to query.
Valid values[
"aws",
"azure",
"gcp",
"illumio",
"esx",
"dns"
]
typestringRequired
Resource type to query.
Valid values[
"instances-security-groups",
"instances-tags",
"instances-tag-values",
"lbs",
"lbs-security-groups",
"lbs-tags",
"lbs-tag-values",
"lbsv2",
"lbsv2-security-groups",
"lbsv2-tags",
"lbsv2-tag-values",
"enis-security-groups",
"enis-security-groups-ids",
"enis-tags",
"enis-tag-values",
"regions",
"accounts",
"network-security-groups",
"network-security-groups-tags",
"network-security-groups-tag-values",
"virtual-machines-tags",
"virtual-machines-tag-values",
"virtual-networks",
"subnets",
"projects-ids",
"forwarding-rules",
"instances",
"instances-network-tags",
"service-account-emails",
"labels",
"virtual-machines",
"folders",
"resources-pools",
"tags",
"zones",
"zone-values",
"api-gateways",
"api-gateways-tags",
"api-gateways-tag-values",
"api-gateways-v2",
"api-gateways-v2-tags",
"api-gateways-v2-tag-values",
"eks-clusters",
"eks-clusters-tags",
"eks-clusters-tag-values",
"rds-db-instances",
"rds-db-instances-tags",
"rds-db-instances-tag-values"
]
valuestring
Optional parameter to search for values. Used with "...-tag-values" types.
Responses200
Query result.
Expand Allobject rangestring
The range applied to the list. Format: -/. 3-5/8 means, out of 8 count (query affects the total), the items between (including) the 3rd and the 5th are returned.
Example0-30/54
orderBystring
The field name used to sort the list.
Examplename
descendingboolean
Whether the sorting is applied descending or ascending.
queries Array of string
The queries applied to the list.
string
totalCountinteger
The total readable count of entities. Not influenced by the query.
Example328
filterBy Array of object (FilterBy)
The filters applied to the list.
object namestring
The field name the filter is applied to.
Examplename
valuestring
The value used for comparison.
ExampleAWS
data Array of string
List of queries resources.
string Exampletest-web-server
resolverstring
Resolver type.
Valid values[
"aws",
"azure",
"gcp",
"illumio",
"esx",
"dns"
]
typestring
Resource type.
Valid values[
"instances-security-groups",
"instances-tags",
"instances-tag-values",
"lbs",
"lbs-security-groups",
"lbs-tags",
"lbs-tag-values",
"lbsv2",
"lbsv2-security-groups",
"lbsv2-tags",
"lbsv2-tag-values",
"enis-security-groups",
"enis-security-groups-ids",
"enis-tags",
"enis-tag-values",
"regions",
"accounts",
"network-security-groups",
"network-security-groups-tags",
"network-security-groups-tag-values",
"virtual-machines-tags",
"virtual-machines-tag-values",
"virtual-networks",
"subnets",
"projects-ids",
"forwarding-rules",
"instances",
"instances-network-tags",
"service-account-emails",
"labels",
"virtual-machines",
"folders",
"resources-pools",
"tags",
"zones",
"zone-values",
"api-gateways",
"api-gateways-tags",
"api-gateways-tag-values",
"api-gateways-v2",
"api-gateways-v2-tags",
"api-gateways-v2-tag-values",
"eks-clusters",
"eks-clusters-tags",
"eks-clusters-tag-values",
"rds-db-instances",
"rds-db-instances-tags",
"rds-db-instances-tag-values"
]
gatewayNamestring
The name of the Gateway which returned the result.
401
Token error. Login again.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
403
Insufficient permissions to access this resource.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
406
Invalid 'Accept' header.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.
500
Unexpected server side error.
object
Generic HTTP error.
idstring
Machine readable error code.
messagestring
Human readable error details.